Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003295Dwarf FortressDwarf Mode -- Tradepublic2010-09-21 20:142014-07-23 15:24
Assigned ToToady One 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.40.05 
Summary0003295: Elves don't have diplomats/liaisons
DescriptionThe elven caravan shows up without a liason -- I can exploit this and deforest the whole world!
Was this intentional?
TagsProbable Quick Fix
Attached Files

- Relationships

-  Notes
Quietust (reporter)
2010-09-21 21:18
edited on: 2010-09-21 21:23

In 0.31.12 and earlier, 0003089 caused Elven caravans to spawn a liaison which just happened to act like a diplomat; since Elves don't have any positions responsible for diplomacy, they no longer have any real Diplomats to send before/after the caravan (like Human law-givers) and impose tree cutting limits.

hyndis (reporter)
2010-09-21 21:22

Do you have a king/queen?

In 31.12 if you get the king/queen no more diplomats show up for some reason.
vadia (reporter)
2010-09-22 05:04

no, it's my second year
greycat (reporter)
2010-09-25 19:41

I would also like to have the elven diplomat show up. *bump*
Quietust (reporter)
2010-10-04 10:13

Perhaps a better title for this bug would be "Elves don't have Diplomats", since Elven caravans were never supposed to have liaisons anyways (Human caravans are, but that's another issue altogether).
Quietust (reporter)
2010-10-06 16:38
edited on: 2010-10-06 16:43

In my current fortress, I did a bit of an experiment: I edited the entity raws and created a Diplomat position for the Elves:


After my Baroness got appointed, an Elven diplomat appeared on the map edge at the very beginning of Spring (long before the caravan would show up) without any announcement, ran to my Mayor, said "You have disrespected the trees in this area, but this is what we have come to expect from your stunted kind. Further abuse cannot be tolerated. Let this be a warning to you.", then left. I should note that this is exactly how Elven diplomats behaved back in 40d and earlier (the very first visit was unannounced and only contained a complaint; subsequent visits were announced and proposed quotas), so this may possibly be a solution that will restore treecutting quotas in 0.31.13 and later (unless 0002892 prevents the diplomat from ever coming back).

Quietust (reporter)
2010-10-07 21:34

Success! One week after the Elven caravan arrived, the announcement "A elven diplomat from Thadaroyonali has arrived." popped up and a white "E" appeared at the map edge. Upon examination, it was definitely a different Elf than before (due to 0002892), but she went straight to my Mayor with the Elven greeting ("Greetings from the woodlands. We have much to discuss."), proposed and finalized a wood cutting quota, then departed with the usual remark ("Although we do not always see eye to eye (ha!), I bid you farewell. May you someday embrace nature as you embrace the rocks and mud.").
Malibu Stacey (reporter)
2010-10-08 05:02

So this is yet another thing missing from the raws rather than needing a code change? Will test this tonight.
Quietust (reporter)
2010-10-08 05:53

Do note that you'll almost definitely have to generate a new world in order for this to take effect.
Malibu Stacey (reporter)
2010-10-08 09:53

Having a quick look through entity_default.txt in\raw\objects it seems that the Humans have no positions with [RESPONSIBILITY:ESTABLISH_COLONY_TRADE_AGREEMENTS], [RESPONSIBILITY:MAKE_INTRODUCTIONS], [RESPONSIBILITY:MAKE_PEACE_AGREEMENTS] or [RESPONSIBILITY:MAKE_TOPIC_AGREEMENTS] defined either.
Quietust (reporter)
2010-10-08 10:19
edited on: 2011-06-16 18:28

Maliby Stacey: Humans have [VARIABLE_POSITIONS:ALL], which permits them to create positions (such as Law-giver) during worldgen which then take on those sorts of responsibilities.

Incidentally, the "guild representative" position (which is missing, as noted in 0003089) can also be created for the Humans using the following:

        [NAME:Guild Representative:Guild Representatives]

Footkerchief (manager)
2011-02-28 17:12

Reminder sent to: Quietust, vadia

Is this issue still present in 31.19?
Quietust (reporter)
2011-02-28 17:26

I haven't played version 0.31.19 yet, but given that the Elven entity raws haven't changed, I would expect this problem to still be present.
nshapter (reporter)
2011-09-29 14:16

*BUMP* This is still the Case in 0.31.25

Additional: Occasionally the Dwarven Liason will make the standard elf complaint vis a vi trees. Most often I find this occurs after switching machines. No Idea on reproducing.

- Issue History
Date Modified Username Field Change
2010-09-21 20:14 vadia New Issue
2010-09-21 21:18 Quietust Note Added: 0012876
2010-09-21 21:22 hyndis Note Added: 0012877
2010-09-21 21:23 Quietust Note Edited: 0012876 View Revisions
2010-09-22 05:04 vadia Note Added: 0012881
2010-09-25 19:41 greycat Note Added: 0012988
2010-10-04 10:13 Quietust Note Added: 0013190
2010-10-06 16:38 Quietust Note Added: 0013229
2010-10-06 16:39 Quietust Note Edited: 0013229 View Revisions
2010-10-06 16:43 Quietust Note Edited: 0013229 View Revisions
2010-10-07 21:34 Quietust Note Added: 0013249
2010-10-08 05:02 Malibu Stacey Note Added: 0013254
2010-10-08 05:53 Quietust Note Added: 0013258
2010-10-08 09:53 Malibu Stacey Note Added: 0013263
2010-10-08 10:19 Quietust Note Added: 0013265
2010-10-08 10:19 Quietust Note Edited: 0013265 View Revisions
2010-11-16 13:30 Footkerchief Summary no laison comes with the caravan => Elves don't have diplomats/liaisons
2010-11-16 13:30 Footkerchief Tag Attached: Probable Quick Fix
2010-11-21 10:24 Quietust Note Edited: 0013265 View Revisions
2011-02-28 17:12 Footkerchief Issue Monitored: Quietust
2011-02-28 17:12 Footkerchief Note Added: 0015598
2011-02-28 17:26 Quietust Note Added: 0015599
2011-03-04 08:53 Quietust Issue End Monitor: Quietust
2011-06-16 18:26 Quietust Note Added: 0018005
2011-06-16 18:28 Quietust Note Deleted: 0018005
2011-06-16 18:28 Quietust Note Edited: 0013265 View Revisions
2011-09-29 14:16 nshapter Note Added: 0018763
2014-01-15 14:41 Kirig Stonebeard II Issue Monitored: Kirig Stonebeard II
2014-01-17 10:33 Kirig Stonebeard Issue Monitored: Kirig Stonebeard
2014-07-23 15:24 Toady One Status new => resolved
2014-07-23 15:24 Toady One Fixed in Version => Next Version
2014-07-23 15:24 Toady One Resolution open => fixed
2014-07-23 15:24 Toady One Assigned To => Toady One

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker